/* Controller.m created by stark on Tue 10-Nov-1998 */

/* 
   Controller.m

   Controller for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import "Controller.h"

#import "GLibLocateTarget.h"
#import "GLibQuery.h"
#import "GLibQueryExecutor.h"
#import "GLibDocument.h"
#import "GLibDocumentController.h"

@implementation Controller

- (void)old_applicationDidFinishLaunching:(NSNotification *)aNotification
{	GLibLocateTarget *theTarget = [[GLibLocateTarget alloc] init];
	GLibSimpleQuery *theQuery = [[GLibSimpleQuery alloc] init];
	GLibQueryExecutor *theExecutor;

	[theQuery glibSetString:@"*.mov"];
	theExecutor = [theTarget glibQueryExecutorForQuery:theQuery];

	[theExecutor glibStart];
	[theExecutor retain];
}
/*

{	theDocument = [[GLibDocument alloc] init];

	[theDocument glibReadFileAtPath:@"/Kheops/Dev/GNUlibrarian/GNUlibrarian.debug/Test.glib"];

	theExecutor = [theTarget glibQueryExecutorForQuery:theQuery];

	theResultGroup = [[GLibQueryResultGroup alloc] init];
	[theResultGroup glibAttachExecutor:theExecutor];
	[theExecutor glibStart];
	[theExecutor retain];
}
*/

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
/*
		//	A static document
	GLibDocument *theDocument = [[[GLibDocument alloc] init] autorelease];
	GLibLocateTarget *theTarget = [[[GLibLocateTarget alloc] init] autorelease];

	GLibDocumentController *theController = [[GLibDocumentController alloc] init];

	[theDocument glibAddTarget:theTarget];

	[theController glibSetDocument:theDocument];

	[theController glibShowUserInterface];
	[theController glibUpdateUserInterface];
*/
		//	A document from disk
	GLibDocument *theDocument = [[[GLibDocument alloc] init] autorelease];
	GLibDocumentController *theController = [[GLibDocumentController alloc] init];

	[theDocument glibReadFileAtPath:[[NSBundle mainBundle] pathForResource:@"Example1" ofType:@"glib"]];
	[theController glibSetDocument:theDocument];
	[theController glibShowUserInterface];
	[theController glibUpdateUserInterface];
}

@end
