/* GLibDocument.h created by stark on Wed 04-Nov-1998 */

/* 
   GLibDocument.h

   GLibDocument for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import <Foundation/Foundation.h>

@class GLibTarget;

//	This object represent several persistent targets
//	For now, we don't deal with what should be NSDocument responsibility (edited state and so on).
//	And most methods are missing (ie: removing targets for instance...)
@interface GLibDocument : NSObject
{
		//	The targets
	NSMutableArray *itsTargets;
}

	//	Replace the content of the document by the content of the specified file. Raise if error.
- (void)glibReadFileAtPath:(NSString *)aPath;

	//	Return all the defined targets (in fact a mutable array...)
- (NSArray *)glibTargets;

	//	Add a target (anywhere) and send a (coalesced) notification
- (void)glibAddTarget:(GLibTarget *)aTarget;

@end
