/* GLibDocument.m created by stark on Wed 04-Nov-1998 */

/* 
   GLibDocument.m

   GLibDocument for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import "GLibDocument.h"

#import "GLibNotification.h"
#import "GLibTarget.h"

//	----------------------------------------------------------------------------

@implementation GLibDocument

- init
{	[super init];
	itsTargets = [[NSMutableArray alloc] init];
	return self;
}

//	----------------------------------------------------------------------------

- (void)dealloc
{	[itsTargets release];
	[super dealloc];
}

//	----------------------------------------------------------------------------

#define KEY_TARGETS @"Targets"
#define KEY_TARGET_CLASS_NAME @"TargetClassName"
#define KEY_TARGET_DATA @"TargetData"

- (void)glibReadFileAtPath:(NSString *)aPath
{	NSDictionary *theFileContent = [NSDictionary dictionaryWithContentsOfFile:aPath];
	NSEnumerator *e = [[theFileContent objectForKey:KEY_TARGETS] objectEnumerator];
	NSDictionary *theDict;

	[itsTargets release];
	itsTargets = [[NSMutableArray alloc] init];

	[self glibObjectChanged];

	while (theDict=[e nextObject])
	{	NSDictionary *theConfigDict = [theDict objectForKey:KEY_TARGET_DATA];
		GLibTarget *theTarget = [[[NSClassFromString([theDict objectForKey:KEY_TARGET_CLASS_NAME]) alloc] initWithDictionary:theConfigDict] autorelease];
		[self glibAddTarget:theTarget];
	}
}

//	----------------------------------------------------------------------------

- (NSArray *)glibTargets
{	return itsTargets;
}

//	----------------------------------------------------------------------------

- (void)glibAddTarget:(GLibTarget *)aTarget
{	[itsTargets addObject:aTarget];

		//	Send notification to our controller
	[self glibObjectChanged];
}

@end
