/* GLibDocumentController.h created by stark on Fri 13-Nov-1998 */

/* 
   GLibDocumentController.h

   GLibDocumentController for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import <AppKit/AppKit.h>

@class GLibDocument;
@class GLibQuery;

//	This is missing from GNUstep
#ifndef IBAction
#define IBAction void
#endif

//	This object controls one window in the GNUlibrarian
//	(First draft implementation)
@interface GLibDocumentController : NSObject
{
		//	The document
	GLibDocument *itsDocument;

		//	The query
	GLibQuery *itsQuery;

		//	The selected targets
	NSMutableArray *itsActiveTargets;

		//	The result groups
	NSMutableArray *itsResultGroups;

		//	The current executors
	NSMutableArray *itsExecutors;

		//	The document window
	NSWindow *itsWindow;

		//	The matrix where the document is represented
	NSMatrix *itsDocumentMatrix;

		//	The 'start' button
	NSButton *itsStartButton;

		//	The [single] text field for query [too simple]
	NSTextField *itsQueryField;

		//	The matrix for result group display [####Going to an NSTableView could offer lazy display. We should try this later]
	NSMatrix *itsResultMatrix;

		//	The scroll view that encolses the result matrix
	NSScrollView *itsResultScrollView;
}

	//	Update every aspect of the user interface to match the document
- (void)glibUpdateUserInterface;

	//	Show the user interface
- (void)glibShowUserInterface;

	//	Change document and register for notifications. Does not redisplay
- (void)glibSetDocument:(GLibDocument *)aDocument;

	//	Action of the start button
- (IBAction)glibStartQuery:sender;

	//	Action of the stop button
- (IBAction)glibStopQuery:sender;

@end
