/* GLibIXSearchTarget.m created by stark on Sun 13-Dec-1998 */

/* 
   GLibIXSearchTarget.m

   GLibIXSearchTarget for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import "GLibIXSearchTarget.h"

#import "GLibQuery.h"
#import "GLibTaskQueryExecutor.h"

//	----------------------------------------------------------------------------

#define KEY_PATH	@"Path"

@implementation GLibIXSearchTarget

- initWithDictionary:(NSDictionary *)aConfigDict
{	[super initWithDictionary:aConfigDict];
	itsPath = [[aConfigDict objectForKey:KEY_PATH] copy];
	return self;
}

//	----------------------------------------------------------------------------

- (void)dealloc
{	[itsPath release];
	[super dealloc];
}

@end

//	----------------------------------------------------------------------------

@implementation GLibIXSearchTarget(GlibAppearance)

- (NSString *)glibDefaultTitle
{	return [itsPath lastPathComponent];
}

@end

//	----------------------------------------------------------------------------

@implementation GLibIXSearchTarget(GLibQueryExecution)

- (GLibQueryExecutor *)glibQueryExecutorForQuery:(GLibQuery *)aQuery
{
	GLibTaskQueryExecutor *theExecutor = [[[GLibTaskQueryExecutor alloc] init] autorelease];

	[theExecutor glibSetLaunchPath:@"/usr/bin/ixsearch"];
	[theExecutor glibAddArgument:[(GLibSimpleQuery*)aQuery glibString]];
	[theExecutor glibAddArgument:[NSString stringWithFormat:@"%@", itsPath]];

	return theExecutor;
}

@end
