/* GLibLocateTarget.h created by stark on Mon 09-Nov-1998 */

/* 
   GLibLocateTarget.h

   GLibLocateTarget for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import "GLibTarget.h"

@interface GLibLocateTarget : GLibTarget
{		//	Database path to use. Nil if use default
	NSString *itsDatabasePath;
}

	//	Locate binary to use. Default is '/usr/local/bin/locate'. Don't know if a good idea to have the binary here, but I feel better if tools are specified by full paths. We could get it from a user default, or from a path relative to the bundle, or by executing 'which locate' at load time.
+ (NSString *)glibBinaryPath;

	//	Return the database path, or nil if no database path is set
- (NSString *)glibDatabasePath;

	//	Change the database path	 <Not really used yet>
- (void)glibSetDatabasePath:(NSString *)aDatabasePath;

@end
