/* GLibNotification.h created by stark on Sat 12-Dec-1998 */

/* 
   GLibNotification.h

   GLibNotification for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import <Foundation/Foundation.h>

//	A simple category to deal with notifications between model object and controller objects in GNUlibrarian
@interface NSObject(GLibNotificationSender)

	//	An object that change calls this
- (void)glibObjectChanged:(NSDictionary *)aUserInfo;

	//	Convenience with empty dictionary
- (void)glibObjectChanged;

	//	Object that want to be notified if an object changes use this
- (void)glibAddObserver:(id)anObject selector:(SEL)aSel;

	//	Object that don't want to be notified use this
- (void)glibRemoveObserver:(id)anObject;

@end

//	----------------------------------------------------------------------------

	//	Name of the notification that is sent when an object change. This should not be needed by clients.
extern NSString *GLibObjectChanged;
