/* GLibNotification.m created by stark on Sat 12-Dec-1998 */

/* 
   GLibNotification.m

   GLibNotification for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import "GLibNotification.h"

	//	#### This import is needed for GNUstep
#import <Foundation/NSNotificationQueue.h>

NSString *GLibObjectChanged = @"GLibObjectChanged";

//	----------------------------------------------------------------------------

@implementation NSObject(GLibNotificationSender)

- (void)glibObjectChanged:(NSDictionary *)aUserInfo
{	[[NSNotificationQueue defaultQueue]
		enqueueNotification:[NSNotification
								notificationWithName:GLibObjectChanged
								object:self
								userInfo:aUserInfo]
		postingStyle:NSPostASAP
		coalesceMask:NSNotificationNoCoalescing
		forModes:nil
	];
}

//	----------------------------------------------------------------------------

- (void)glibObjectChanged
{	[self glibObjectChanged:[NSDictionary dictionary]];
}

//	----------------------------------------------------------------------------

- (void)glibAddObserver:(id)anObject selector:(SEL)aSel
{	[[NSNotificationCenter defaultCenter] addObserver:anObject selector:aSel name:GLibObjectChanged object:self];
}

//	----------------------------------------------------------------------------

- (void)glibRemoveObserver:(id)anObject
{	[[NSNotificationCenter defaultCenter] removeObserver:anObject name:GLibObjectChanged object:self];
}

@end
