/* GLibQuery.h created by stark on Mon 09-Nov-1998 */

/* 
   GLibQuery.h

   GLibQuery for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import <Foundation/Foundation.h>

//	Instances of this class represent queries
//	Basically, the search part of the application is an inspector for a query object
//	As query could be 'arbitrarily anything' there is nothing in the default query
@interface GLibQuery : NSObject
@end

//	This is the most simple query avalaible (ie: just a string)
//	All targets should support such trivial query in a sensible way. It is possible to have target with states that define how they are going to handle GLibSimpleQuery.
@interface GLibSimpleQuery : GLibQuery
{		//	The query string
	NSString *itsString;
}

	//	Return the queried string. Never nil.
- (NSString *)glibString;

	//	Change the queried string
- (void)glibSetString:(NSString *)aString;

@end
