/* GLibQueryExecutor.m created by stark on Mon 09-Nov-1998 */

/* 
   GLibQueryExecutor.m

   GLibQueryExecutor for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import "GLibQueryExecutor.h"

#import "GLibQueryResult.h"
#import "GLibQueryResultGroup.h"

@implementation GLibQueryExecutor

- init
{	[super init];
	return self;
}

//	----------------------------------------------------------------------------

- (void)dealloc
{	[super dealloc];
}

//	----------------------------------------------------------------------------

- (GLibQueryResultGroup *)glibQueryResultGroup
{	return itsResultGroup;
}

//	----------------------------------------------------------------------------

- (void)glibSetQueryResultGroup:(GLibQueryResultGroup *)aQueryResultGroup
{	itsResultGroup = aQueryResultGroup;
}

//	----------------------------------------------------------------------------

- (void)glibStart
{	[itsResultGroup glibAttachExecutor:self];
}

//	----------------------------------------------------------------------------

-(void)glibInternalAbort
{		//	For subclassers
}

//	----------------------------------------------------------------------------

- (void)glibStop
{	[self glibAppendResult:[[[GLibQueryResultError alloc] initWithErrorDescription:@"Stopped"] autorelease]];
	[self glibInternalAbort];
	[itsResultGroup glibDetachExecutor:self];
}

//	----------------------------------------------------------------------------

- (void)glibAbortedWithErrorMessage:(NSString *)anErrorMessage
{	[self glibAppendResult:[[[GLibQueryResultError alloc] initWithErrorDescription:anErrorMessage] autorelease]];
	[itsResultGroup glibDetachExecutor:self];
}

//	----------------------------------------------------------------------------

- (void)glibEnded
{	[itsResultGroup glibDetachExecutor:self];
}

//	----------------------------------------------------------------------------

- (void)glibAppendResult:(GLibQueryResult *)aResult
{	[itsResultGroup glibAddResult:aResult forQueryExecutor:self];
}

@end
