/* GLibQueryResult.m created by stark on Mon 09-Nov-1998 */

/* 
   GLibQueryResult.m

   GLibQueryResult for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import "GLibQueryResult.h"

@implementation GLibQueryResult

+ (NSCell *)glibSharedCell
{	static NSButtonCell *sCell;
	if (!sCell)
	{	sCell = [[NSButtonCell alloc] init];
		[sCell setImagePosition:NSImageLeft];
		[sCell setAlignment:NSLeftTextAlignment];
		[sCell setBordered:NO];
		[sCell setWraps:NO];
printf( "<%p> ", sCell ); fflush( stdout );
	}
	return sCell;
}

//	----------------------------------------------------------------------------

- (NSCell *)glibCell
{	return [[self class] glibSharedCell];
}

//	----------------------------------------------------------------------------

- (NSString *)glibTitle
{	return @"*** glibTitle HAVE NOT BEEN REIMPLEMENTED  ***";
}

//	----------------------------------------------------------------------------

- (NSImage *)glibMiniIcon
{	return [NSImage imageNamed:@"unknown"];
}

//	----------------------------------------------------------------------------

- (void)glibConfigureCell:(id)aCell
{	[aCell setTitle:[self glibTitle]];
	[aCell setImage:[self glibMiniIcon]];
}

@end

//	----------------------------------------------------------------------------

@implementation GLibQueryResultError

- initWithErrorDescription:(NSString *)aDescription
{	[super init];
	itsErrorDescription = [aDescription copy];
	return self;
}

//	----------------------------------------------------------------------------

- (void)dealloc
{	[itsErrorDescription release];
	[super dealloc];
}

//	----------------------------------------------------------------------------

- (NSString *)glibErrorDescription
{	return itsErrorDescription;
}

@end

//	----------------------------------------------------------------------------

@implementation GLibQueryResultError(GLibQueryResult_Overrides)

- (NSString *)glibTitle
{	return [self glibErrorDescription];
}

//	----------------------------------------------------------------------------

- (NSImage *)glibMiniIcon
{	return [NSImage imageNamed:@"error"];
}

@end

//	----------------------------------------------------------------------------

@implementation GLibFileQueryResult 

- initWithPath:(NSString *)aPath
{	[super init];
	itsPath = [aPath copy];
	return self;
}

//	----------------------------------------------------------------------------

- (void)dealloc
{	[itsPath release];
	[itsMiniIcon release];
	[super dealloc];
}

//	----------------------------------------------------------------------------

- (NSString *)glibPath
{	return itsPath;
}

@end

//	----------------------------------------------------------------------------

@implementation GLibFileQueryResult(GLibQueryResult_Overrides)

	//	We override default behaviour because we want something more complex
- (void)glibConfigureCell:(id)aCell
{	NSString *theTitle = [NSString stringWithFormat:@"%@ -- %@", [itsPath lastPathComponent], [itsPath stringByDeletingLastPathComponent] ];

	[aCell setTitle:theTitle];
	[aCell setImage:[self glibMiniIcon]];
}

//	----------------------------------------------------------------------------

/*
- (NSImage *)glibMiniIcon
{	if (!itsMiniIcon)
	{	itsMiniIcon = [[[NSWorkspace sharedWorkspace] iconForFile:[self glibPath]] retain];
		if (!itsMiniIcon)
		{		//	This is strange
			itsMiniIcon = [[super glibMiniIcon] retain];
			if (!itsMiniIcon)
				NSLog( @"**** Cannot get icon for [%@] -- Even tried super", [self glibPath] );
		}
	}

	return itsMiniIcon;
}
*/

@end

