/* GLibTargetModule.h created by stark on Wed 04-Nov-1998 */

/* 
   GLibTargetModule.h

   GLibTargetModule for GNUstep GNUlibrarian

   Copyright (C) 1998 Free Software Foundation, Inc.

   Author:  Frederic Stark <stark@easynet.fr>
   Date: December 1998
   
   This file is part of the GNUstep GNUlibrarian.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#import <Foundation/Foundation.h>

//	Each instance of this class repesent a module, ie some code that is able to perform a query.
//	Modules have names (For instance the module that uses the locate command is named 'Locate'). There are modules instances for each usable target class.
//	A module can either be internal (linked with the application) or external, residing in some NSBundle.
@interface GLibTargetModule : NSObject
{
		//	The module internal name
	NSString *itsInternalName;

		//	The module user name
	NSString *itsUserName;

		//	If YES the module is loaded
	BOOL itsfIsLoaded;

		//	If YES, the module is unusable
	BOOL itsfUnusable;

		//	The target class for the module (if nil, the module is either unloaded or unusable)
	Class itsTargetClass;

		//	(For disk-resident bundles, the class name)
	NSString *itsTargetClassName;

		//	<A few thing could follow>
}

//	#### Nothing is implemented yet.

@end
